<div class="ui centered header" >Registered accounts</div>
<br />
<div class="ui cards">
  <div class="card" *ngFor="let user of userList">
    <div class="content">
      <img class="right floated mini ui image" [src]="user.imgUrl" />
      <div class="header">
        {{ user.username }}
      </div>
      <div class="meta" *ngIf="user.librarian">Librarian</div>
      <div class="meta" *ngIf="!user.librarian">User</div>
      <div class="description">
        {{ user.email }}
      </div>
    </div>
    <div class="extra content">
      <div class="ui two buttons">
        <div class="ui basic red button" *ngIf="!user.librarian" (click)="DeleteUser(user.username)">
          Delete
        </div>
        <div class="ui basic green button" (click)="GetReserved(user.username)">
          Reserved
        </div>
      </div>

      <div *ngIf="calledUser == user.username">
        <div *ngFor="let title of titleList">
            <p>{{title}}</p>
        </div>
      </div>

    </div>
  </div>
</div>
